Skip to content

Instantly share code, notes, and snippets.

Avatar
💭
°_o

Greg Nokes tsykoduk

💭
°_o
View GitHub Profile
View gist:a8430235b6ccde7a1b805ca61c836487
daemon off;
# Heroku dynos have at least 4 cores.
worker_processes <%= ENV['NGINX_WORKERS'] || 4 %>;
events {
use epoll;
accept_mutex on;
worker_connections 1024;
}
View mac_env.md

###Mac OSX Development/Admin Tools

0 - XCode

XCode, or at least the XCode command line extensions, are at the core of any development work that you are going to do on a Mac. You'll need to install it to get things like the C Complier and bootstrap the build environment. If you are going to be doing iOS or Mac OSX development, get the entire package from the App Store. If you are not, just install Homebrew, and it will prompt you to install the XCode CLI tools.

1 - Homebrew

OSX Unix Package Manager. The site is at brew.sh. You can use this to install things like Git, Ruby, Python, etc.

View gist:e9a065b6bce4151fabde
~ ☯ whois dicemonkeys.com
Whois Server Version 2.0
Domain names in the .com and .net domains can now be registered
with many different competing registrars. Go to http://www.internic.net
for detailed information.
Domain Name: DICEMONKEYS.COM
Registrar: GODADDY.COM, LLC
View windows_rails_install.md
  • Get virtualization software (we recommend Virtual Box https://www.virtualbox.org unless you have a VMWare or other license. These directions depend on the default Virtual Box)
    • Install it
  • Get Vagrant from http://vagrantup.com
    • Install it
  • If you are on Windows, install git from http://msyspit.github.io
    • Make sure that you choose Use Git from Windows Command Prompt
  • If you are on Windows run the following commands from with in a git bash prompt. If you are on Mac or Linux, just use a command prompt
  • Make a directory for your vagrant boxes (ie, mkdir Vagrants) and change directory into it
View Ruby-Vagrantfile
# -*- mode: ruby -*-
# vi: set ft=ruby :
# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure(2) do |config|
# The most common configuration options are documented and commented below.
# For a complete reference, please see the online documentation at
View gist:11409590
h=heroku
g=git
echo '<?php echo "!";?>' > index.php;touch composer.json;$g init;$g add .;$g commit -m "new";$h create;$g push heroku master;$h open
View keybase.md

Keybase proof

I hereby claim:

  • I am tsykoduk on github.
  • I am tsykoduk (https://keybase.io/tsykoduk) on keybase.
  • I have a public key whose fingerprint is 2E13 CEAB A931 EEF1 A27D ADE8 737D 4459 5F58 5FF5

To claim this, I am signing this object:

@tsykoduk
tsykoduk / FixSkype.sh
Last active Dec 19, 2015
This script will fix the "There is another version of Skype running" error with out forcing a reboot.
View FixSkype.sh
#!/usr/bin/env bash
# Tested on a mac with bash shell.
# This script will fix the dreaded "Another copy of Skype is running"
#First let's try and determine what PID Skype thinks is running and kill it, just in case
SKYPE_PID=`cat ~/Library/Application\ Support/Skype/Skype.pid`
kill -9 $SKYPE_PID
View VikingCoders.md

Forward

I have been using the term "Viking Coder" for a several years now. Honestly, it was a "equal and opposite" reaction to the rise of the Rockstar Ninja Samurai whatever in job descriptions. I don't play a guitar or dress in black PJ's. I am a tall person, and I like big, simple solutions to problems. And I am least a little bit Scandinavian.

I wanted to open this up, so steal, pull, push away!

Thus the Viking Coder was born.

The Viking coder is also a response to many of the Agile practices out there. We mean to strip the nonessential bits of cruft away and expose the naked goodness of what we have learned over the last few decades.

View gist:2494561
~/Code ☯ gem update
Error loading RubyGems plugin "/Users/tsykoduk/.rvm/gems/ruby-1.9.2-p318/gems/rubygems-bundler-0.3.0/lib/rubygems_plugin.rb": no such file to load -- rubygems_bundler/rubygems_bundler_installer (LoadError)
Error loading RubyGems plugin "/Users/tsykoduk/.rvm/gems/ruby-1.9.2-p318/gems/rubygems-bundler-0.2.8/lib/rubygems_plugin.rb": no such file to load -- rubygems_bundler/rubygems_bundler_installer (LoadError)
Updating installed gems
WARNING: Error fetching data: Errno::ECONNREFUSED: Connection refused - connect(2) (http://rubygems.org/latest_specs.4.8.gz)
Updating acts_as_list
WARNING: Error fetching data: Errno::ECONNREFUSED: Connection refused - connect(2) (http://rubygems.org/specs.4.8.gz)